Skip to content
POST/{organizationId}/work/todo/items

Create todo item

Creates a root todo or one direct child

Required permissions:

  • todoItem.insert

Path Parameters

organizationIdstringrequired

Request Body required

Content-Type: application/json

titlestringrequired

minLength: 1

maxLength: 140

descriptionstringrequired

minLength: 1

maxLength: 10000

maxItems: 20

dueDatedate-time | nullrequired
projectIdstring | nulloptional
parentItemIdstring | nulloptional
topicIdstringrequired
typeIdstringrequired

Default: []

maxItems: 10

maxItems: 100

reviewerUserIdstring | nulloptional

Default: null

minLength: 16

maxLength: 64

Authentication: X-API-Key

Request

POST/{organizationId}/work/todo/items
curl --request POST 'https://cloud.campai.com/api/{organizationId}/work/todo/items' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "string",
  "description": "string",
  "customFields": {},
  "tags": [
    "string"
  ],
  "dueDate": "2026-06-15T22:30:00Z",
  "topicId": "string",
  "typeId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}